#!/usr/bin/gnuplot

set terminal postscript eps enhanced
set out "transrefl.eps"

#set xtics 10
#set ytics 10
set ylabel "Intensitaet"
set xlabel "Zeit / ps"
#set xrange [750:950]
set key right top box
set pointsize 0.4
set sample 1000 # Auflösung
FIT_LIMIT = 1e-6

# Anfangswert von w geraten
w=20
# Grundwert aus anderem Plot (reflektivität-grundwert.plot)
grund=1.32562

f(x) = d*x**6 + e*x**5 + f*x**4 + g*x**3 + h*x**2 + i*x + exp(-a*x) * b*cos(w*x + p) + grund
fit [0:] f(x) "bismuth.dat" via d, e, f, g, h, i, a, b, w, p 

#plot 'autokorrelation.dat' w l t "Autokorrelation", f(x) w l t "Anpassung durch Gausz-Funktion"

#plot [-0.21:-0.06] [1:1.9] "bismuth.dat" pt 2 t "Messwerte", f(x) t "Anpassung"

#plot [-0.06:] "bismuth.dat", f(x)
#plot [0.1:] "bismuth.dat", f(x)
plot [-0.21:] "bismuth.dat" t "Messwerte" w l lt 1, f(x) t "Anpassung" lt 2, grund t "Nullwert R(t<0)"

set terminal postscript eps enhanced
set out "transrefl-zoom.eps"
set grid
set ytics 2
plot [-0.21:0.5] "bismuth.dat" t "Messwerte" w l lt 1, f(x) t "Anpassung" lt 2, grund t "Nullwert R(t<0)"



